.news-card {
    display: flex;
    flex-direction: column;
    padding: 1.5rem;
    backdrop-filter: blur(.5rem);
    background: var(--color-background);
    border-radius: var(--radius-md);
    border-left: .25rem solid oklch(
            var(--theme-color-lightness)
            var(--theme-color-chroma)
            var(--category-hue)
    );
    overflow: hidden;
    box-shadow: 0 .25rem .75rem rgb(0 0 0 / .08);
    transition:
            transform .2s ease,
            box-shadow .2s ease;
}

.news-card:hover {
    transform: translateY(-.125rem);
    box-shadow: 0 .5rem 1.25rem rgb(0 0 0 / .12);
}

.news-card__category {
    align-self: flex-start;
    margin-bottom: 1rem;
}

.news-card__title {
    margin: 0 0 .75rem;
    font-size: 1.25rem;
    line-height: 1.3;
}

.news-card__title a {
    color: inherit;
    text-decoration: none;
}

.news-card__title a:hover {
    text-decoration: underline;
}

.news-card__excerpt {
    margin: 0 0 .75rem;
    line-height: 1.6;
    color: var(--color-text-light);
}

.news-card__button {
    position: absolute;
    bottom: 0;
    right: 0;
    padding: .1rem .5rem;
    border-top-left-radius: .4rem;
    background: var(--color-primary);
    font-weight: 600;
    color: white;
    text-decoration: none;}

.news-card__button:hover {
    text-decoration: underline;
}

